For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all amenities
        • POSTCreate amenity
        • GETGet an amenity by ID
        • PUTUpdate amenity
        • POSTCreate Amenities | Units
        • PUTUpdate amenities for unit
        • POSTCreate amenity for property
        • PUTUpdate amenities for property
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsAmenities

Update amenities for unit

PUT
/v1/amenities/units/:id
PUT
/v1/amenities/units/:id
$curl -X PUT https://api.propexo.com/v1/amenities/units/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
3 "data": {}
4}
Update unit amenities for any integration. This is a convenience endpoint that acts as a generic proxy for all amenity creation endpoints.
Was this page helpful?
Previous

Create amenity for property

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
featureslist of enumsOptional
A list of unit amenities. Any existing amenities associated with the unit that are not submitted in the request will be removed from the unit

Response

Successful response
job_idstring
The ID of the job created to handle this operation
dataobject

Errors

400
Bad Request Error